Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.5 »
- erfa Package »
- pdp

# pdp

erfa.pdp(a, b)

  p-vector inner (=scalar=dot) product.

  Parameters:
    a double array
    b double array
  Returns:
    c_retval double array

  Notes

  Wraps ERFA function `eraPdp`. The ERFA documentation is:

      - - - - - - -
       e r a P d p
      - - - - - - -

      p-vector inner (=scalar=dot) product.

      Given:
         a      double[3]     first p-vector
         b      double[3]     second p-vector

      Returned (function value):
                double        a . b

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.